Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_shippingAddress_ShippingAddressCRUD

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.order.Order_shippingAddress_ShippingAddressCRUD

public class Order_shippingAddress_ShippingAddressCRUD
extends Object

CRUD for Aggregate Mapping

Constructor Summary
`Order_shippingAddress_ShippingAddressCRUD()`

Method Summary
`static void` | `refresh(Connection connection, Object key, Object target)` Updates the datbase, using using primary key information in the where clause.
`static void` | `refreshDirect(Connection connection, Object key, Object target)` Refresh from database, using primary key information in the where clause.
`static void` | `update(Connection connection, Object key, Object source)` Updates the datbase, using using primary key information in the where clause.
`static void` | `updateDirect(Connection connection, Object key, Object source)` Updates the database, using primary key information in the where clause.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_shippingAddress_ShippingAddressCRUD

    public Order_shippingAddress_ShippingAddressCRUD()

Method Detail

### refresh

    public static void refresh(Connection connection,
                               Object key,
                               Object target)
                        throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object source)
                       throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
    `BMPException`

### updateDirect

    public static void updateDirect(Connection connection,
                                    Object key,
                                    Object source)
                             throws BMPException

  Updates the database, using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
    `BMPException`

### refreshDirect

    public static void refreshDirect(Connection connection,
                                     Object key,
                                     Object target)
                              throws BMPException

  Refresh from database, using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved